> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antigen.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Map statistics



## OpenAPI

````yaml /api/openapi.yaml get /asset-map/stats
openapi: 3.1.0
info:
  title: Antigen API
  version: v1
  description: >-
    Use the Antigen API to manage targets, runs, vulnerabilities, evidence,
    reports, hooks, assets, and integrations.
servers:
  - url: https://api.antigen.sh/v1
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
  - SessionCookie: []
tags:
  - name: Authentication
  - name: API keys
  - name: Models
  - name: Agents
  - name: Targets
  - name: Runs
  - name: Vulnerabilities
  - name: Evidence
  - name: Reports
  - name: Hooks
  - name: Asset Map
  - name: Integrations
paths:
  /asset-map/stats:
    get:
      tags:
        - Asset Map
      summary: Get Asset Map statistics
      operationId: getAssetMapStats
      responses:
        '200':
          description: Asset Map summary statistics.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetMapStats'
components:
  schemas:
    AssetMapStats:
      type: object
      required:
        - total_assets
        - exposed_assets
        - integrations
        - asset_types
        - last_updated
      properties:
        total_assets:
          type: number
        exposed_assets:
          type: number
        integrations:
          type: number
        asset_types:
          type: object
          additionalProperties:
            type: number
        last_updated:
          $ref: '#/components/schemas/Timestamp'
    Timestamp:
      type: string
      format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key from the Antigen dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: access token
      description: Better Auth access token.
    SessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Better Auth browser session cookie.

````